### Class

# Gegl AudioFragment

since: 0.4

#### Description

    class Gegl.AudioFragment : GObject.Object
    {
      data: None,
      priv: GeglAudioFragmentPrivate*
    }

No description available.

Available since: 0.4

#### Ancestors

- GObject

#### Constructors

###### gegl_audio_fragment_new

No description available.

since: 0.4

#### Instance methods

###### gegl_audio_fragment_get_channel_layout

No description available.

since: 0.4

###### gegl_audio_fragment_get_channels

No description available.

since: 0.4

###### gegl_audio_fragment_get_max_samples

No description available.

since: 0.4

###### gegl_audio_fragment_get_pos

No description available.

since: 0.4

###### gegl_audio_fragment_get_sample_count

No description available.

since: 0.4

###### gegl_audio_fragment_get_sample_rate

No description available.

since: 0.4

###### gegl_audio_fragment_set_channel_layout

No description available.

since: 0.4

###### gegl_audio_fragment_set_channels

No description available.

since: 0.4

###### gegl_audio_fragment_set_max_samples

No description available.

since: 0.4

###### gegl_audio_fragment_set_pos

No description available.

since: 0.4

###### gegl_audio_fragment_set_sample_count

No description available.

since: 0.4

###### gegl_audio_fragment_set_sample_rate

No description available.

since: 0.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gegl.AudioFragment:string

No description available.

since: 0.4

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct GeglAudioFragmentClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.